This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 245545

Summary: Scrambled characters in output on Windows
Product: javascript Reporter: Vladimir Riha <vriha>
Component: ToolsAssignee: Jan Becicka <jbecicka>
Status: VERIFIED FIXED    
Severity: normal    
Priority: P3    
Version: 8.0.1   
Hardware: PC   
OS: Windows 7   
Issue Type: DEFECT Exception Reporter:
Attachments: output from npm install in NetBeans

Description Vladimir Riha 2014-07-10 12:27:44 UTC
Created attachment 147971 [details]
output from npm install in NetBeans

Please try to invoke NPM install in NetBeans on Windows. It works fine but the output tab contains "scrambled" characters, e.g. it contains:

grunt-contrib-jshint@0.10.0 node_modules\grunt-contrib-jshint
├── hooker@0.2.3
└── jshint@2.5.2


while it should be

grunt-contrib-jshint@0.10.0 node_modules\grunt-contrib-jshint
├── hooker@0.2.3
└── jshint@2.5.2


The "connector" characters are not printed correctly. It works fine from command line


Product Version: NetBeans IDE Dev (Build 201407100001)
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 1 Vladimir Riha 2014-07-10 12:40:54 UTC
.. the same for bower
Comment 2 Vladimir Riha 2014-07-10 13:08:09 UTC
The same happens with Grunt:
 - download [1]
 - map e.g. Clean and Build to "cleanBuildTask"
 - invoke Clean and Build
=> output contains
      File public_html/js/min/app.js created: 138 B → 34 B
   while it should be
      File public_html/js/min/app.js created: 138 B → 34 B

[1] http://services.netbeans.org/synergy/server/api/attachment.php?id=204
Comment 3 Jan Becicka 2014-07-15 12:54:20 UTC
Changeset: 9232ead5d8aa
Author:    Jan Becicka <jbecicka@netbeans.org>
Date:      2014-07-15 14:52
Message:
Comment 4 Quality Engineering 2014-07-16 01:45:12 UTC
Integrated into 'main-silver', will be available in build *201407160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9232ead5d8aa
User: Jan Becicka <jbecicka@netbeans.org>
Log: Issue #245545 - Scrambled  characters in output on Windows
Comment 5 Vladimir Riha 2014-07-21 14:51:19 UTC
Verified, thank you

Product Version: NetBeans IDE Dev (Build 201407200001)
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)